Bug 1300645 - rpmlint errors in rhscon-ceph package
rpmlint errors in rhscon-ceph package
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: unclassified (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Timothy Asir
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 05:54 EST by Martin Kudlej
Modified: 2016-07-21 03:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhscon-core-0.0.26-1.el7scon.x86_64 rhscon-ceph-0.0.26-1.el7scon.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-01-21 05:54:37 EST
Description of problem:
$ rpmlint -i rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64.rpm 
rhscon-ceph.x86_64: W: invalid-license Apache-2.0
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "Afmparse", "AGPLv1", "AGPLv3", "AGPLv3+",
"AGPLv3 with exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APAFML", "App-s2p",
"APSL 2.0", "APSL 2.0+", "ARL", "Artistic 2.0", "Artistic clarified", "ASL
1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph",
"Barr", "Beerware", "BeOpen", "Bibtex", "BitTorrent", "Boost", "Borceux",
"BSD", "BSD Protection", "BSD with advertising", "BSD with attribution",
"CATOSL", "CC0", "CeCILL", "CeCILL-B", "CeCILL-C", "CDDL", "CNRI", "Condor",
"Copyright only", "CPAL", "CPL", "CRC32", "Crossword", "Crystal Stacker",
"Cube", "diffmark", "DMIT", "DOC", "Dotseqn", "DSDP", "dvipdfm", "ECL 1.0",
"ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix", "Entessa", "EPICS", "EPL",
"ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FSFUL", "FSFULLR",
"FTL", "Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or
Artistic", "GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with
exceptions", "GPLv3", "GPLv3 with exceptions", "GPLv3+", "GPLv3+ with
exceptions", "HaskellReport", "HSRL", "IBM", "IJG", "ImageMagick", "iMatix",
"Imlib2", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer", "JPython",
"Julius", "Knuth", "Latex2e", "LBNL BSD", "Leptonica", "LGPLv2", "LGPLv2 with
exceptions", "LGPLv2+", "LGPLv2+ or Artistic", "LGPLv2+ with exceptions",
"LGPLv3", "LGPLv3 with exceptions", "LGPLv3+", "LGPLv3+ with exceptions",
"Lhcyr", "libtiff", "LLGPL", "Logica", "LOSLA", "LPL", "LPPL", "MakeIndex",
"mecab-ipadic", "midnight", "MirOS", "MIT", "MITNFA", "MIT with advertising",
"mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+",
"MPLv2.0", "MS-PL", "MS-RL", "MTLL", "Mup", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nmap", "Nokia", "NOSL",
"Noweb", "OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL
1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+",
"OSL 3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus",
"PostgreSQL", "psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL",
"Rdisc", "REX", "RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA",
"SCRIP", "Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "softSurfer",
"SPL", "STMPL", "SWL", "TCL", "Teeworlds", "TGPPL", "TGPPL with exceptions",
"Threeparttable", "TMate", "Tolua", "TORQUEv1.1", "TOSL", "TPDL", "TPL",
"TTWL", "UCD", "Unicode", "Unlicense", "Vim", "VNLSL", "VOSTROM", "VSL",
"W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox", "xinetd", "xpp",
"XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with acknowledgement",
"ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "CDL",
"FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open Publication", "Public Use",
"Verbatim", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL", "EFML", "Free
Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic", "Baekmuk",
"Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation", "Lucida",
"MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

rhscon-ceph.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

rhscon-ceph.x86_64: E: script-without-shebang /usr/lib/python2.7/site-packages/bigfin/__init__.py
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /srv/salt/start_ceph_mon.sls
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /usr/lib/python2.7/site-packages/bigfin/utils.py
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /usr/lib/python2.7/site-packages/bigfin/saltwrapper.py
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /etc/skyring/providers.d/ceph.conf
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /srv/salt/prepare_ceph_osd.sls
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ceph.x86_64: E: script-without-shebang /srv/salt/add_ceph_mon.sls
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

1 packages and 0 specfiles checked; 7 errors, 2 warnings.

Actual results:
There are warnings and errors in rpmlint.

Expected results:
There are no errors and no warnings in rpmlint.
Comment 2 Timothy Asir 2016-03-31 05:25:51 EDT
Patch sent to upstream for review:
https://review.gerrithub.io/#/c/270983/
Comment 3 Martin Kudlej 2016-07-21 03:09:44 EDT
Tested with rhscon-ceph-0.0.33-1.el7scon.x86_64 and it is OK. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.